diff --git a/helpers/make-update-manager b/helpers/make-update-manager
index 4e14351d255885947c4e1147b148c6be4b773e98..2b9871ab087ce7e2720d0b995dc976e53606a1dc 100644
--- a/helpers/make-update-manager
+++ b/helpers/make-update-manager
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-#    Copyright (C) 2008-2014  Rubén Rodríguez <ruben@trisquel.info>
+#    Copyright (C) 2008-2010  Rubén Rodríguez <ruben@trisquel.info>
 #
 #    This program is free software; you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
@@ -17,20 +17,290 @@
 #    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 #
 
-VERSION=6
+# Note that you would need to publish and sign the upgrade tarball
+# gpg -ba release_name.tar.gz
+# Also, don't forget to update the meta-release files at archive and packages.t.i
+
+VERSION=13
 
 . ./config
 
-cp $DATA/index.docbook help/C/index.docbook
+#%FSDG: Remove functions to deal with proprietary drivers
+rm ./DistUpgrade/xorg_fix_proprietary.py
+rm ./DistUpgrade/NvidiaDetector
+sed s/self.checkForNvidia/#self.checkForNvidia/ DistUpgrade/DistUpgradeCache.py -i
+sed s/self._test_and_warn_on_old_nvidia/#self._test_and_warn_on_old_nvidia/  -i DistUpgrade/DistUpgradeQuirks.py
+sed s/self._test_and_warn_on_nvidia_and_no_sse/#self._test_and_warn_on_nvidia_and_no_sse/  -i DistUpgrade/DistUpgradeQuirks.py
+sed s/self._test_and_warn_on_dropped_fglrx_support/#self._test_and_warn_on_dropped_fglrx_support/  -i DistUpgrade/DistUpgradeQuirks.py
+sed '/nvidia/d' debian/control DistUpgrade/build-tarball.sh -i
+rm tests/test-data/xorg.conf.fglrx
+
+#https://bugs.launchpad.net/ubuntu/+source/python-defaults/+bug/990740
+cat << EOF >> DistUpgrade/DistUpgradeQuirks.py
+
+    def from_taranisPostInitialUpdate(self):
+        logging.debug("Setting APT::Immediate-Configure=false")
+        apt.apt_pkg.config.set("APT::Immediate-Configure", "false")
+        os.system("apt-get install --force-yes -y libblkid1 lzma dpkg")
+
+    def from_taranisPostCleanup(self):
+        logging.debug("Setting APT::Immediate-Configure=true")
+        apt.apt_pkg.config.set("APT::Immediate-Configure", "true")
+EOF
+
+
+rm ./DistUpgrade/Ubuntu.info
+cat << EOF   > DistUpgrade/Trisquel.info
+ChangelogURI: http://packages.trisquel.info/changelogs/pool/%s/%s/%s/%s_%s/%s
+
+Suite: $CODENAME
+RepositoryType: deb
+BaseURI: http://archive.trisquel.info/trisquel/
+Description: Trisquel $CODENAME
+Component: main
+Enabled: 1
+CompDescription: Trisquel GNU/linux packages
+
+Suite: $CODENAME-security
+RepositoryType: deb
+BaseURI: http://archive.trisquel.info/trisquel/
+Description: Trisquel $CODENAME Security Updates
+Component: main
+Enabled: 1
+CompDescription: Trisquel GNU/linux packages
+
+Suite: $CODENAME-updates
+RepositoryType: deb
+BaseURI: http://archive.trisquel.info/trisquel/
+Description: Trisquel $CODENAME Updates
+Component: main
+Enabled: 1
+CompDescription: Trisquel GNU/linux packages
+
+Suite: $CODENAME-backports
+RepositoryType: deb
+BaseURI: http://archive.trisquel.info/trisquel/
+Description: Trisquel $CODENAME Backports
+Component: main
+Enabled: 1
+CompDescription: Trisquel GNU/linux packages
+EOF
+
+rm DistUpgrade/ReleaseAnnouncement
+cat << EOF >  DistUpgrade/ReleaseAnnouncement
+= Welcome to Trisquel GNU/Linux $REVISION '$CODENAME' =
+
+The Trisquel team is proud to announce Trisquel $REVISION '$CODENAME'.
+We recommend to apply all pending updates to the system before upgrading.
+
+Trisquel is a fully free operating system based in GNU/Linux, for domestic
+users, small enterprises and educational centers.
+
+We hope you enjoy Trisquel.
+
+== Feedback and Helping ==
+
+If you would like to help shape Trisquel, take a look at the list of 
+ways you can participate at
+
+  http://trisquel.info/en/wiki/how-help
+
+Your comments, bug reports, patches and suggestions will help ensure
+that our next release is the best release of Trisquel ever.  If you feel
+that you have found a bug please send it to us via
+
+  http://trisquel.info/project/issues
+
+If you have a question, or if you think you may have found a bug but 
+aren't sure, first try asking on the #trisquel IRC channel on Freenode,
+on the Trisquel Users mailing list, or on the Trisquel forums:
+
+ http://listas.trisquel.info/
+ http://trisquel.info/forum
+
+== More Information ==
+
+You can find out more about Trisquel on our website, IRC channel and wiki.
+If you're new to Trisquel, please visit:
+
+  http://trisquel.info
+
+To sign up for future Trisquel announcements, please subscribe to Trisquel's 
+very low volume announcement list at:
+
+  http://listas.trisquel.info/mailman/listinfo/trisquel-announce
+
+EOF
+
+rm DistUpgrade/DevelReleaseAnnouncement
+cat << EOF >  DistUpgrade/DevelReleaseAnnouncement
+This is a development release, do not install on production systems!
+
+EOF
+
+cat DistUpgrade/ReleaseAnnouncement >> DistUpgrade/DevelReleaseAnnouncement
+
+rm DistUpgrade/EOLReleaseAnnouncement
+cat << EOF >  DistUpgrade/EOLReleaseAnnouncement
+= Trisquel GNU/Linux $REVISION '$CODENAME' is NO LONGER SUPPORTED! =
+
+You are atempting to upgrade to a version of Trisquel that is no longer
+supported. Since we do only keep upgrade packages for decomissioned releases
+for a while, this upgrade may fail. Try the sandbox method first (by running
+update-manager -s) or ask in our forums, lists or irc channels if you are
+unsure about this procedure.
+
+Even if the required upgrade packages for $CODENAME are still available, to 
+get a currently supported release you  would need to upgrade at least once 
+more after this procedure ends, so we recommend you to do a clean install 
+using the latest LTS or STS edition.
+
+== Feedback and Helping ==
+
+If you would like to help shape Trisquel, take a look at the list of 
+ways you can participate at
+
+  http://trisquel.info/en/wiki/how-help
+
+Your comments, bug reports, patches and suggestions will help ensure
+that our next release is the best release of Trisquel ever.  If you feel
+that you have found a bug please send it to us via
+
+  http://trisquel.info/project/issues
+
+If you have a question, or if you think you may have found a bug but 
+aren't sure, first try asking on the #trisquel IRC channel on Freenode,
+on the Trisquel Users mailing list, or on the Trisquel forums:
+
+ http://listas.trisquel.info/
+ http://trisquel.info/forum
+
+== More Information ==
+
+You can find out more about Trisquel on our website, IRC channel and wiki.
+If you're new to Trisquel, please visit:
+
+  http://trisquel.info
+
+To sign up for future Trisquel announcements, please subscribe to Trisquel's 
+very low volume announcement list at:
+
+  http://listas.trisquel.info/mailman/listinfo/trisquel-announce
+
+EOF
+
+rm DistUpgrade/removal_blacklist.cfg
+cat <<EOF > DistUpgrade/removal_blacklist.cfg
+# blacklist of packages that should never be removed
+trisquel-base
+trisquel-minimal
+trisquel-desktop-common
+trisquel
+trisquel-mini
+triskel
+# update-manager should not remove itself
+update-manager
+update-manager-core
+EOF
+
+rm DistUpgrade/mirrors.cfg
+cat << EOF > DistUpgrade/mirrors.cfg
+http://mirror.fsf.org/trisquel/
+http://es.archive.trisquel.info/trisquel/
+ftp://es.archive.trisquel.info/trisquel/
+http://fr.archive.trisquel.info/trisquel/
+ftp://fr.archive.trisquel.info/trisquel/
+http://archive.trisquel.info/trisquel/
+ftp://archive.trisquel.info/trisquel/
+http://us.archive.trisquel.info/trisquel/
+http://nl.archive.trisquel.info/
+http://in.archive.trisquel.info/
+ftp://in.archive.trisquel.info/
+EOF
+
+rm DistUpgrade/DistUpgrade.cfg*
+cp $DATA/DistUpgrade.cfg* DistUpgrade/
+
+cat << EOF1 > DistUpgrade/trisquel-postinstall.sh
+#!/bin/sh
+
+# Making sure this is gone
+apt-get remove --force-yes -y notification-daemon
+
+if ! [ -f /etc/grub.d/01_PASSWORD ]; then
+cat << EOF > /etc/grub.d/01_PASSWORD
+#! /bin/sh -e
+# Trisquel enables a random password to grub during install
+# Comment this file to remove the password.
+# This file should only be readable by root.
+
+echo set superusers=grub
+echo password grub \$(bash -c 'echo \$RANDOM')
+EOF
+fi
+
+# Just in case
+update-initramfs -u
+update-grub
+EOF1
+chmod 755 DistUpgrade/trisquel-postinstall.sh
+
+echo "notification-daemon" > DistUpgrade/demoted.cfg
+
+replace changelogs.ubuntu.com packages.trisquel.info .
 
-replace Ubuntu Trisquel .
-replace "Trisquel-Gettext" "Ubuntu-Gettext" .
+/bin/sed -i 's/�~Lubuntu/�~Ltrisquel/g; s/被ubuntu/被trisquel/g; s#http://launchpad.net/ubuntu/+source/%s/%s/+changelog#http://trisquel.info/project/issues#g; s/<.*@ubuntu.com/<info@trisquel.info/g; s/ ubuntu\n/ trisquel\n/g; s/ubuntu\ /trisquel\ /g; s/\ ubuntu/\ trisquel/g; s/Ubuntu/Trisquel/g; s/ubuntu-desktop/trisquel-/g; s/www.ubuntu.com/trisquel.info/g; s/www.ubuntulinux.org/trisquel.info/g ' po/*.po $(find -type f | grep py$) $(find -type f | grep '\.glade$')
 
-sed '/%s base/ s/name.*/name = "Trisquel base"/' -i ./UpdateManager/Core/UpdateList.py
-sed 's_http://changelogs.ubuntu.com/changelogs/pool/_http://packages.trisquel.info/changelogs/pool/_' -i UpdateManager/Core/MyCache.py
-sed '/len(changelog) == 0/,/"later."/d' -i UpdateManager/Core/MyCache.py
+rpl 11\.04 5\.0 DistUpgrade/*.ui
+rpl 11\.04 5\.0 po/* -R
+rpl 11\.10 5\.5 DistUpgrade/*.ui
+rpl 11\.10 5\.5 po/* -R
+rpl 12\.04 6\.0 DistUpgrade/*.ui
+rpl 12\.04 6\.0 po/* -R
+rpl 14\.04 6\.0 DistUpgrade/*.ui
+rpl 14\.04 7\.0 po/* -R
+rpl $UPSTREAM $CODENAME . -R
+rpl trusty belenos . -R
+rpl oneiric brigantia . -R
+rpl natty dagda . -R
+rpl maverick slaine . -R
+rpl lucid taranis . -R
+rpl karmic awen . -R
+rpl jaunty dwyn . -R
+rpl hardy robur . -R
+#mv DistUpgrade/demoted.cfg.precise DistUpgrade/demoted.cfg.brigantia
+#mv DistUpgrade/demoted.cfg.natty DistUpgrade/demoted.cfg.dagda
+#mv DistUpgrade/demoted.cfg.maverick DistUpgrade/demoted.cfg.slaine
+mv DistUpgrade/demoted.cfg.lucid DistUpgrade/demoted.cfg.taranis
+#mv DistUpgrade/demoted.cfg.karmik DistUpgrade/demoted.cfg.awen
+#mv DistUpgrade/demoted.cfg.jaunty DistUpgrade/demoted.cfg.dwyn
+mv DistUpgrade/demoted.cfg.hardy DistUpgrade/demoted.cfg.robur
+rpl " Ubuntu " " Trisquel " . -R
+rpl "Ubuntu " "Trisquel " . -R
+rpl " Ubuntu" " Trisquel" . -R
+rpl " ubuntu " " trisquel " . -R
+rpl "ubuntu " "trisquel " . -R
+rpl " ubuntu" " trisquel" . -R
+rpl archive.ubuntu.com/ubuntu es.archive.trisquel.info/trisquel . -R
+rpl security.ubuntu.com/ubuntu archive.trisquel.info/trisquel . -R
+rpl archive.ubuntu.com es.archive.trisquel.info . -R
+rpl security.ubuntu.com archive.trisquel.info . -R
+sed 's/auto generated by update-manager/auto generated by update-manager\\n/g' DistUpgrade/DistUpgradeController.py -i
+sed 's/main restricted" %/main\\n" %/g' DistUpgrade/DistUpgradeController.py -i
+rpl "main restricted" "main" DistUpgrade -R
+sed 's/,"restricted"//g' DistUpgrade/DistUpgradeController.py -i
+#sed 's/","restricted"/\\n"/g' DistUpgrade/DistUpgradeController.py -i
+#rpl '10.04' $REVISION DistUpgrade po -R
+replace Ubuntu Trisquel . -R
+replace Kubuntu Triskel . -R
+replace Canonical Trisquel . -R
+replace Trisquel-Gettext Ubuntu-Gettext . -R
 
 changelog "Compiled for Trisquel"
 
+<<<<<<< HEAD
 compile
+=======
+PARALLEL=false compile
 
+>>>>>>> 5c90594756614985f2ef243e0b0aa55dacf7bdef